> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取批量抓取任务状态

> 注意：现已提供此 API 的 [v2 新版本](/zh/api-reference/endpoint/batch-scrape-get)，具备更完善的状态跟踪和监控能力。


## OpenAPI

````yaml zh/api-reference/v1-openapi.json get /batch/scrape/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: 用于与 Firecrawl 服务交互，以进行网页抓取和爬取任务的 API。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /batch/scrape/{id}:
    parameters:
      - name: id
        in: path
        description: 批量抓取作业的 ID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Scraping
      summary: 获取批量抓取作业的状态
      operationId: getBatchScrapeStatus
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchScrapeStatusResponseObj'
        '402':
          description: 需要付费
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: 请求次数过多
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: 服务器错误
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    BatchScrapeStatusResponseObj:
      type: object
      properties:
        status:
          type: string
          description: 批量抓取的当前状态。状态可能为 `scraping`、`completed` 或 `failed`。
        total:
          type: integer
          description: 尝试抓取的页面总数。
        completed:
          type: integer
          description: 已成功抓取的页面数量。
        creditsUsed:
          type: integer
          description: 该批量抓取所使用的积分数量。
        expiresAt:
          type: string
          format: date-time
          description: 批量抓取任务的到期时间。
        next:
          type: string
          nullable: true
          description: 用于获取后续 10MB 数据的 URL。如果批量抓取任务尚未完成，或响应数据大于 10MB，则会返回此 URL。
        data:
          type: array
          description: 批量爬取的数据。
          items:
            type: object
            properties:
              markdown:
                type: string
              html:
                type: string
                nullable: true
                description: '`includeHtml` 为 true 时，页面内容的 HTML 版本'
              rawHtml:
                type: string
                nullable: true
                description: 如果 `includeRawHtml` 为 true，则为页面的原始 HTML 内容
              links:
                type: array
                items:
                  type: string
                description: 如果 `includeLinks` 为 true，则包含页面上的链接列表
              screenshot:
                type: string
                nullable: true
                description: 当 `includeScreenshot` 为 true 时的页面截图
              metadata:
                type: object
                properties:
                  title:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: 从页面中提取的标题，可以是字符串或字符串数组
                  description:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: 从页面中提取的描述，可以是一个字符串或字符串数组
                  language:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    nullable: true
                    description: 从页面提取的语言，可以是一个字符串或字符串数组
                  sourceURL:
                    type: string
                    format: uri
                  keywords:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: 从页面提取的关键词，可以为字符串或字符串数组
                  ogLocaleAlternate:
                    type: array
                    items:
                      type: string
                    description: 此页面的其他语言版本
                  '<any other metadata> ':
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: 从 HTML 中提取的其他元数据，可以是字符串或字符串数组
                  statusCode:
                    type: integer
                    description: 页面状态码
                  error:
                    type: string
                    nullable: true
                    description: 页面错误信息
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````